#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
 .arch = MODULE_ARCH_INIT,
};

#ifdef RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x27d9225a, "module_layout" },
	{ 0x3ec8886f, "param_ops_int" },
	{ 0x8c9fd470, "no_llseek" },
	{ 0x7a6ebe42, ".usb_register_driver" },
	{ 0x85520dca, ".usb_string" },
	{ 0x83f6c72f, ".usb_register_dev" },
	{ 0xc97ba02f, ".usb_alloc_urb" },
	{ 0x5a34a45c, ".__kmalloc" },
	{ 0x78ed3e5c, ".__init_waitqueue_head" },
	{ 0xf886a06, ".__mutex_init" },
	{ 0x9f3fe59d, ".kmem_cache_alloc_trace" },
	{ 0xcceea01b, "malloc_sizes" },
	{ 0xd62c833f, ".schedule_timeout" },
	{ 0x32e17642, ".mutex_lock" },
	{ 0x79337bc6, ".usb_deregister_dev" },
	{ 0x95d0c2b6, ".dev_set_drvdata" },
	{ 0x37a0cba, ".kfree" },
	{ 0x3014a291, ".usb_free_urb" },
	{ 0x247b3ba9, ".dev_get_drvdata" },
	{ 0xf660f95c, ".usb_find_interface" },
	{ 0x4554955a, ".nonseekable_open" },
	{ 0x2f287f0d, ".copy_to_user" },
	{ 0x5a025f7b, ".arch_local_irq_restore" },
	{ 0xcd0529c7, "._raw_spin_lock_irq" },
	{ 0x27e1a049, ".printk" },
	{ 0x8f42c2ea, ".usb_control_msg" },
	{ 0xbeec42ec, ".mutex_unlock" },
	{ 0xd6c963c, ".copy_from_user" },
	{ 0x519b0da3, ".finish_wait" },
	{ 0xaf2d872c, ".prepare_to_wait" },
	{ 0x1000e51, ".schedule" },
	{ 0x8cf89518, ".mutex_lock_interruptible" },
	{ 0xc8b57c27, "autoremove_wake_function" },
	{ 0x6940623f, ".dev_warn" },
	{ 0xc527c36c, ".dev_err" },
	{ 0x1b9ee5a5, ".usb_submit_urb" },
	{ 0x6067a146, ".memcpy" },
	{ 0xde48e9ca, "._raw_spin_lock" },
	{  0xd93fc, ".usb_kill_urb" },
	{ 0x7cf17da5, "._dev_info" },
	{ 0x5e3a8a9c, ".__wake_up" },
	{ 0xfbfbb3d6, ".usb_deregister" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbcore";

MODULE_ALIAS("usb:v0F11p1000d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0F11p1001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0F11p1010d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0F11p1011d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0F11p1020d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0F11p1021d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0F11p1031d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0F11p1032d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0F11p1033d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0F11p1035d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0F11p1038d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0F11p1080d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0F11p1081d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0F11p1090d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0F11p10A0d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0F11p10B0d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0F11p1100d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0F11p1101d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0F11p1200d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0F11p1210d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0F11p2000d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0F11p2010d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0F11p2020d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0F11p2030d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0F11p2040d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0F11p2050d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0F11p2051d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0F11p2060d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0F11p2070d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0F11p2080d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0F11p2090d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0F11p20A0d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v08F7p0002d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v08F7p0003d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v08F7p0004d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v08F7p0006d*dc*dsc*dp*ic*isc*ip*");

MODULE_INFO(srcversion, "440D7B5FC0283DA2312298A");
